## xfce4-whiskermenu-plugin 2.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(whiskermenu)

# version number
set(whiskermenu_version_major "2")
set(whiskermenu_version_minor "3")
set(whiskermenu_version_micro "3")
set(whiskermenu_version_tag "")
set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
if(${whiskermenu_version_tag} MATCHES "git")
	if(NOT DEFINED whiskermenu_version_build)
		execute_process(COMMAND git describe
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
			OUTPUT_VARIABLE whiskermenu_version_build)
		string(REGEX REPLACE "^.*-g" "" whiskermenu_version_build "${whiskermenu_version_build}")
		string(REGEX REPLACE "\n" "" whiskermenu_version_build "${whiskermenu_version_build}")
	endif()
	set(whiskermenu_version "${whiskermenu_version}.${whiskermenu_version_tag}-${whiskermenu_version_build}")
endif()

# options
option(ENABLE_VISIBILITY "Enable ELF visibility attributes" ON)
option(ENABLE_AS_NEEDED "Enable -Wl,--as-needed for the linker" ON)
option(ENABLE_LINKER_OPTIMIZED_HASH_TABLES "Enable -Wl,-O1 for the linker" ON)
option(ENABLE_DEVELOPER_MODE "Enable strict checks to help with development" OFF)

include(GNUInstallDirs)

add_subdirectory(icons)
add_subdirectory(panel-plugin)
add_subdirectory(po)

# uninstall target
configure_file(
	${CMAKE_CURRENT_SOURCE_DIR}/cmake/uninstall.cmake.in
	${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake
	IMMEDIATE @ONLY)
add_custom_target(uninstall
	${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.3.3-1~18.04) bionic; urgency=medium

  * No-change backport to bionic

 -- Unit 193 <unit193@ubuntu.com>  Fri, 30 Aug 2019 02:41:20 -0400

xfce4-whiskermenu-plugin (2.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Mateusz Łukasik ]
  * New upstream version 2.3.2

  [ Unit 193 ]
  * New upstream version 2.3.3
  * d/compat, d/control: Drop d/compat in favor of debhelper-compat.
  * d/control: Drop Build-Depend on hicolor-icon-theme.
  * Bump Standards-Version to 4.4.0.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 26 Aug 2019 20:21:52 -0400

=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 11),
               gettext,
               libexo-2-dev (>= 0.11),
               libgarcon-1-0-dev,
               libgtk-3-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               pkg-config
Standards-Version: 4.4.0
Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-whiskermenu-plugin
Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mugshot
Description: Alternate menu plugin for the Xfce desktop environment
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level categories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

## xfce4-whiskermenu-plugin 2.3.4

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.3.4-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Update for upstream's move to mirrorbit.
  * New upstream version 2.3.4
  * d/control:
    - Update homepage.
    - Set R³ to no.
  * Update Standards-Version to 4.4.1.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 12 Dec 2019 22:21:14 -0500

## xfce4-whiskermenu-plugin 2.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "3")
-set(whiskermenu_version_micro "3")
+set(whiskermenu_version_micro "5")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== panel-plugin/CMakeLists.txt ===
set(WHISKERMENU_FLAGS "-Wall -Wextra")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WHISKERMENU_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WHISKERMENU_FLAGS}")
if(ENABLE_VISIBILITY)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

if(ENABLE_AS_NEEDED)
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--as-needed")
endif()
if(ENABLE_LINKER_OPTIMIZED_HASH_TABLES)
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-O1")
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.22)
pkg_check_modules(exo REQUIRED exo-2>=0.11)
pkg_check_modules(garcon REQUIRED garcon-1)
pkg_check_modules(libxfce4panel REQUIRED libxfce4panel-2.0>=4.11)
pkg_check_modules(libxfce4ui REQUIRED libxfce4ui-2>=4.11)
pkg_check_modules(libxfce4util REQUIRED libxfce4util-1.0>=4.11)

include_directories(
	${GTK3_INCLUDE_DIRS}
	${exo_INCLUDE_DIRS}
	${garcon_INCLUDE_DIRS}
	${libxfce4panel_INCLUDE_DIRS}
	${libxfce4ui_INCLUDE_DIRS}
	${libxfce4util_INCLUDE_DIRS})

link_directories(
	${GTK3_LIBRARY_DIRS}
	${exo_LIBRARY_DIRS}
	${garcon_LIBRARY_DIRS}
	${libxfce4panel_LIBRARY_DIRS}
	${libxfce4ui_LIBRARY_DIRS}
	${libxfce4util_LIBRARY_DIRS})

add_definitions(
	-DGETTEXT_PACKAGE="xfce4-whiskermenu-plugin"
	-DPACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
	-DPACKAGE_NAME="xfce4-whiskermenu-plugin"
	-DPACKAGE_VERSION="${whiskermenu_version}"
	-DBINDIR="${CMAKE_INSTALL_FULL_BINDIR}"
	-DDATADIR="${CMAKE_INSTALL_FULL_DATADIR}"
	-DSETTINGS_MENUFILE="${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/menus/xfce-settings-manager.menu"
	-DG_LOG_DOMAIN="whiskermenu"
	-DGSEAL_ENABLE
	-DGTK_MULTIHEAD_SAFE
	${GTK3_CFLAGS_OTHER}
	${exo_CFLAGS_OTHER}
	${garcon_CFLAGS_OTHER}
	${libxfce4panel_CFLAGS_OTHER}
	${libxfce4ui_CFLAGS_OTHER}
	${libxfce4util_CFLAGS_OTHER})

if(ENABLE_DEVELOPER_MODE)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-z,defs")

	add_definitions(
		-DG_DISABLE_DEPRECATED
		-DGDK_DISABLE_DEPRECATED
		-DGDK_PIXBUF_DISABLE_DEPRECATED
		-DGTK_DISABLE_DEPRECATED
		-DGDK_DISABLE_SINGLE_INCLUDES
		-DGDK_PIXBUF_DISABLE_SINGLE_INCLUDES
		-DGTK_DISABLE_SINGLE_INCLUDES)
endif()

add_library(whiskermenu MODULE
	applications-page.cpp
	category.cpp
	command.cpp
	command-edit.cpp
	configuration-dialog.cpp
	element.h
	favorites-page.cpp
	icon-size.cpp
	launcher.cpp
	launcher-view.cpp
	page.cpp
	plugin.cpp
	profile-picture.cpp
	query.cpp
	recent-page.cpp
	register-plugin.c
	resizer-widget.cpp
	run-action.cpp
	search-action.cpp
	search-page.cpp
	section-button.cpp
	settings.cpp
	slot.h
	window.cpp)

target_link_libraries(whiskermenu
	${GTK3_LIBRARIES}
	${exo_LIBRARIES}
	${garcon_LIBRARIES}
	${libxfce4panel_LIBRARIES}
	${libxfce4ui_LIBRARIES}
	${libxfce4util_LIBRARIES})

string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "release|minsizerel")
	add_definitions(-DNDEBUG -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT)
	add_custom_command(TARGET whiskermenu
		POST_BUILD COMMAND ${CMAKE_STRIP} $<TARGET_FILE:whiskermenu>)
endif()

install(TARGETS whiskermenu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
install(FILES whiskermenu.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins)

# popup script
configure_file(${PROJECT_SOURCE_DIR}/panel-plugin/xfce4-popup-whiskermenu.in
	${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu ESCAPE_QUOTES @ONLY)
install(PROGRAMS ${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu
	DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES xfce4-popup-whiskermenu.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.3.5-0.1~mx19+1) mx; urgency=medium

  * New upstream release, build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jan 2020 16:43:53 -0800

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                libxfce4ui-2-dev,
                libxfce4util-dev,
                pkg-config
-Standards-Version: 4.4.0
-Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-whiskermenu-plugin
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
+Homepage: https://docs.xfce.org/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

## xfce4-whiskermenu-plugin 2.4.1

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.4.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release, build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Feb 2020 16:39:59 -0800

## xfce4-whiskermenu-plugin 2.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.9)
 
 project(whiskermenu)
 
 # version number
 set(whiskermenu_version_major "2")
-set(whiskermenu_version_minor "3")
-set(whiskermenu_version_micro "5")
+set(whiskermenu_version_minor "4")
+set(whiskermenu_version_micro "2")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")
@@ -23,6 +23,7 @@
 option(ENABLE_VISIBILITY "Enable ELF visibility attributes" ON)
 option(ENABLE_AS_NEEDED "Enable -Wl,--as-needed for the linker" ON)
 option(ENABLE_LINKER_OPTIMIZED_HASH_TABLES "Enable -Wl,-O1 for the linker" ON)
+option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" ON)
 option(ENABLE_DEVELOPER_MODE "Enable strict checks to help with development" OFF)
 
 include(GNUInstallDirs)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.4.2-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 25 Feb 2020 16:47:18 -0500

xfce4-whiskermenu-plugin (2.3.5-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository.

  [ Unit 193 ]
  * New upstream version 2.3.5
  * d/watch: Use uscan special vars.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 24 Jan 2020 20:24:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 11),
+               debhelper-compat (= 12),
                gettext,
                libexo-2-dev (>= 0.11),
                libgarcon-1-0-dev,
@@ -14,7 +15,7 @@
                libxfce4util-dev,
                pkg-config
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

## xfce4-whiskermenu-plugin 2.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "4")
-set(whiskermenu_version_micro "2")
+set(whiskermenu_version_micro "3")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== panel-plugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
pkg_check_modules(GTK3 REQUIRED IMPORTED_TARGET gtk+-3.0>=3.22)
pkg_check_modules(exo REQUIRED IMPORTED_TARGET exo-2>=0.11)
pkg_check_modules(garcon REQUIRED IMPORTED_TARGET garcon-1)
pkg_check_modules(libxfce4panel REQUIRED IMPORTED_TARGET libxfce4panel-2.0>=4.11)
pkg_check_modules(libxfce4ui REQUIRED IMPORTED_TARGET libxfce4ui-2>=4.11)
pkg_check_modules(libxfce4util REQUIRED IMPORTED_TARGET libxfce4util-1.0>=4.11)

add_library(whiskermenu MODULE
	applications-page.cpp
	category.cpp
	category-button.cpp
	command.cpp
	command-edit.cpp
	element.cpp
	favorites-page.cpp
	icon-renderer.cpp
	icon-size.cpp
	image-menu-item.h
	launcher.cpp
	launcher-icon-view.cpp
	launcher-tree-view.cpp
	page.cpp
	plugin.cpp
	profile-picture.cpp
	query.cpp
	recent-page.cpp
	register-plugin.c
	resize-grip.cpp
	run-action.cpp
	search-action.cpp
	search-page.cpp
	settings.cpp
	settings-dialog.cpp
	slot.h
	window.cpp)

target_link_libraries(whiskermenu
	PkgConfig::GTK3
	PkgConfig::exo
	PkgConfig::garcon
	PkgConfig::libxfce4panel
	PkgConfig::libxfce4ui
	PkgConfig::libxfce4util)

target_compile_options(whiskermenu PRIVATE -Wall -Wextra)

target_compile_definitions(whiskermenu PRIVATE
	GETTEXT_PACKAGE="xfce4-whiskermenu-plugin"
	PACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
	PACKAGE_NAME="xfce4-whiskermenu-plugin"
	PACKAGE_VERSION="${whiskermenu_version}"
	BINDIR="${CMAKE_INSTALL_FULL_BINDIR}"
	DATADIR="${CMAKE_INSTALL_FULL_DATADIR}"
	SETTINGS_MENUFILE="${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/menus/xfce-settings-manager.menu"
	G_LOG_DOMAIN="whiskermenu"
	GSEAL_ENABLE
	GTK_MULTIHEAD_SAFE)

target_compile_features(whiskermenu PRIVATE cxx_std_11)

if(ENABLE_VISIBILITY)
	set_target_properties(whiskermenu PROPERTIES CXX_VISIBILITY_PRESET hidden)
endif()

if(${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.13.0")
	if(ENABLE_AS_NEEDED)
		target_link_options(whiskermenu PRIVATE "LINKER:--as-needed")
	endif()

	if(ENABLE_LINKER_OPTIMIZED_HASH_TABLES)
		target_link_options(whiskermenu PRIVATE "LINKER:-O1")
	endif()

	if(ENABLE_DEVELOPER_MODE)
		target_link_options(whiskermenu PRIVATE "LINKER:-z,defs")
	endif()
else()
	if(ENABLE_AS_NEEDED)
		set_property(TARGET whiskermenu APPEND_STRING PROPERTY LINK_FLAGS " -Wl,--as-needed")
	endif()

	if(ENABLE_LINKER_OPTIMIZED_HASH_TABLES)
		set_property(TARGET whiskermenu APPEND_STRING PROPERTY LINK_FLAGS " -Wl,-O1")
	endif()

	if(ENABLE_DEVELOPER_MODE)
		set_property(TARGET whiskermenu APPEND_STRING PROPERTY LINK_FLAGS " -Wl,-z,defs")
	endif()
endif()

if(ENABLE_DEVELOPER_MODE)
	target_compile_options(whiskermenu PRIVATE -Werror)
	target_compile_definitions(whiskermenu PRIVATE
		XFCE_DISABLE_DEPRECATED
		G_DISABLE_DEPRECATED
		GDK_DISABLE_DEPRECATED
		GDK_PIXBUF_DISABLE_DEPRECATED
		GDK_DISABLE_SINGLE_INCLUDES
		GDK_PIXBUF_DISABLE_SINGLE_INCLUDES
		GTK_DISABLE_SINGLE_INCLUDES)
endif()

string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "release|minsizerel|relwithdebinfo")
	if(ENABLE_LINK_TIME_OPTIMIZATION)
		include(CheckIPOSupported)
		check_ipo_supported(RESULT result)
		if(result)
			set_target_properties(whiskermenu PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
		endif()
	endif()

	target_compile_definitions(whiskermenu PRIVATE G_DISABLE_CAST_CHECKS G_DISABLE_ASSERT)

	add_custom_command(TARGET whiskermenu
		POST_BUILD COMMAND ${CMAKE_STRIP} $<TARGET_FILE:whiskermenu>)
endif()

install(TARGETS whiskermenu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
install(FILES whiskermenu.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins)

# popup script
configure_file(${PROJECT_SOURCE_DIR}/panel-plugin/xfce4-popup-whiskermenu.in
	${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu ESCAPE_QUOTES @ONLY)
install(PROGRAMS ${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu
	DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES xfce4-popup-whiskermenu.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.4.3-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Apr 2020 12:05:12 -0700

xfce4-whiskermenu-plugin (2.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4.3

 -- Unit 193 <unit193@ubuntu.com>  Sat, 14 Mar 2020 17:13:41 -0400

xfce4-whiskermenu-plugin (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 01 Mar 2020 13:25:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,

## xfce4-whiskermenu-plugin 2.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "4")
-set(whiskermenu_version_micro "3")
+set(whiskermenu_version_micro "4")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.4.4-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 24 May 2020 11:53:11 -0700

xfce4-whiskermenu-plugin (2.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4.4

 -- Unit 193 <unit193@ubuntu.com>  Sun, 26 Apr 2020 18:37:06 -0400

## xfce4-whiskermenu-plugin 2.4.5

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4.5.

 -- Unit 193 <unit193@debian.org>  Wed, 22 Jul 2020 23:54:32 -0400

## xfce4-whiskermenu-plugin 2.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "4")
-set(whiskermenu_version_micro "4")
+set(whiskermenu_version_micro "6")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.4.6-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Rules: added override_dh_strip:dh_strip --no-automatic-dbgsym.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Fri, 31 Jul 2020 22:27:06 -0400

xfce4-whiskermenu-plugin (2.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4.6.

 -- Unit 193 <unit193@debian.org>  Thu, 30 Jul 2020 00:07:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,

## xfce4-whiskermenu-plugin 2.4.6-0ppa1~focal

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.4.6-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix crash during grab check. (Issue #19)
    - Fix background incorrect without compositing.

 -- Graeme Gott <graeme@gottcode.org>  Thu, 23 Jul 2020 09:08:15 +0000

xfce4-whiskermenu-plugin (2.4.5-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix saving plugin title with overridden default text. (Bug #16822)
    - Fix extra key press to select search items. (Issue #8)
    - Fix icon view skipping first item when pressing arrow key.
    - Fix incorrect signal name.
    - Fix nonfunctional grab check.
    - Translation updates: Asturian, Dutch, Esperanto, Hungarian, Icelandic, Portuguese, Portuguese (Brazil), Russian.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 21 Jul 2020 09:33:39 +0000

xfce4-whiskermenu-plugin (2.4.4-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fixed search delay. (bug #16731)
    - Translation updates: Catalan, Finnish, Hungarian, Malay, Portuguese.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 22 Apr 2020 17:27:32 +0000

xfce4-whiskermenu-plugin (2.4.3-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix loading incorrect icons for some applications. (bug #16461)
    - Translation updates: Bulgarian, Finnish, Greek, Icelandic, Interlingue,
      Nepali, Norwegian Bokmål, Russian, Slovak.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 11 Mar 2020 12:48:21 +0000

xfce4-whiskermenu-plugin (2.4.2-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix crash when selecting desktop action. (bug #16445)
    - Translation updates: Chinese (China), Croatian, Georgian.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 15 Feb 2020 10:24:19 +0000

xfce4-whiskermenu-plugin (2.4.1-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix narrow iconview columns.
    - Fix bad hyphenation by increasing iconview column width.
    - Translation updates: Finnish, Serbian.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 12 Feb 2020 19:16:13 +0000

xfce4-whiskermenu-plugin (2.4.0-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Add option to show as icons. (bug #15675)
    - Add hiding menu items. (bug #14816)
    - Add searching keywords of menu items. (bug #15047)
    - Add tooltip to profile picture for editing profile. (bug #15501)
    - Adjust wording of switch user command. (bug #15398)
    - Add icons to context menu.
    - New default layout.
    - Make panel button square only if single row and title hidden.
    - Rearrange settings dialog.
    - Redesign session confirmation dialogs.
    - Refactor code.
    - Rewrite menu load to match GarconGtkMenu.
    - Switch categories with keyboard focus if hover enabled.
    - Use custom icon renderer.
    - Use link time optimization if available.
    - Increase C++ version.
    - Translation updates: Bulgarian, Catalan, Chinese (Taiwan), Czech,
      Danish, Dutch, Finnish, French, Galician, Georgian, German, Greek,
      Icelandic, Indonesian, Interlingue, Italian, Japanese, Lithuanian,
      Malay, Nepali, Norwegian Bokmål, Polish, Portuguese,
      Portuguese (Brazil), Slovak, Spanish, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Mon, 10 Feb 2020 10:48:36 +0000

xfce4-whiskermenu-plugin (2.3.5-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix saving unchanged plugin title. (bug #15403)
    - Fix sidebar scrollbar covering buttons. (bug #14730)
    - Fix categories remaining scrolled when hidden.
    - Fix incorrect alignment of commands next to search.
    - Fix incorrect fallback value for menu opacity.
    - Fix incorrect check when setting command.
    - Update documentation URL. (bug #16183)

 -- Graeme Gott <graeme@gottcode.org>  Sat, 18 Jan 2020 15:16:01 +0000

xfce4-whiskermenu-plugin (2.3.4-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix building against xfce4-panel 4.15.0
    - Translation updates: Dutch, Galician, Georgian.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 05 Nov 2019 11:01:51 +0000

xfce4-whiskermenu-plugin (2.3.3-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Removed workaround for garcon that did not always fix crash.
    - Translation updates: Bulgarian, Czech, Danish, Galician, Icelandic, Nepali.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 07 Aug 2019 14:24:14 +0000

xfce4-whiskermenu-plugin (2.3.2-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix editing menu items containting a single quote. (bug #15091)
    - Fix displaying empty tooltips. (bug #15137)
    - Translation updates: Dutch, Galician, Spanish, Swedish, Ukrainian.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 26 Mar 2019 08:32:29 +0000

xfce4-whiskermenu-plugin (2.3.1-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix crash when reload is required.
    - Translation updates: Catalan, Czech, Danish, Greek, Spanish, Finnish,
      Japanese, Korean, Malay, Dutch, Polish, Russian, Slovak.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 19 Jan 2019 20:11:38 +0000

xfce4-whiskermenu-plugin (2.3.0-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix sidebar wider than iconless categories.
    - Add buttons for individual logout commands. (bug #14639)
    - Add option to stay visible when focus is lost. (bug #12240)
    - Always allow positioning commands next to search.
    - Improve preferences spacing. (bug #14683)
    - Translation updates: Bulgarian, Catalan, Chinese (China),
      Chinese (Taiwan), Czech, Danish, Dutch, French, German, Greek,
      Lithuanian, Nepali, Polish, Portuguese, Portuguese (Brazil),
      Russian, Serbian, Slovak, Slovenian, Turkish, Welsh.

 -- Graeme Gott <graeme@gottcode.org>  Sun, 30 Sep 2018 14:56:05 +0000

xfce4-whiskermenu-plugin (2.2.1-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix category button staying active when dragged. (bug #14419)
    - Fix regression of non-square panel image support. (bug #14506)


=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Graeme Gott <graeme@gottcode.org>
Build-Depends: debhelper (>= 9),
		cmake,
		pkg-config,
		gettext,
		hicolor-icon-theme,
		libexo-2-dev,
		libgarcon-1-0-dev,
		libgtk-3-dev,
		libxfce4panel-2.0-dev,
		libxfce4ui-2-dev,
		libxfce4util-dev
Standards-Version: 4.1.4
Homepage: https://gottcode.org/xfce4-whiskermenu-plugin/

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mugshot
Description: Alternate Xfce menu
 An alternate application launcher for Xfce. When you open it you
 are shown a list of applications you have marked as favorites. You
 can browse through all of your installed applications by clicking
 on the category buttons on the side. Top level catagories make
 browsing fast, and simple to switch between. Additionally, Whisker
 Menu keeps a list of the last ten applications that you’ve launched
 from it.

## xfce4-whiskermenu-plugin 2.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # version number
 set(whiskermenu_version_major "2")
-set(whiskermenu_version_minor "4")
-set(whiskermenu_version_micro "6")
+set(whiskermenu_version_minor "5")
+set(whiskermenu_version_micro "0")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + xfce4-whiskermenu-plugin: Add Multi-Arch: same.

  [ Unit 193 ]
  * New upstream version 2.5.0.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Thu, 24 Dec 2020 17:31:57 -0500

## xfce4-whiskermenu-plugin 2.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "5")
-set(whiskermenu_version_micro "0")
+set(whiskermenu_version_micro "1")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.1.

 -- Unit 193 <unit193@debian.org>  Sat, 02 Jan 2021 17:23:41 -0500

## xfce4-whiskermenu-plugin 2.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "5")
-set(whiskermenu_version_micro "1")
+set(whiskermenu_version_micro "2")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 18 Jan 2021 20:11:08 +0100

## xfce4-whiskermenu-plugin 2.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "5")
-set(whiskermenu_version_micro "2")
+set(whiskermenu_version_micro "3")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== po/CMakeLists.txt ===
find_package(Gettext 0.19.1 REQUIRED)

# Generate translations
file(GLOB _po_files *.po)
foreach(_po_file ${_po_files})
	get_filename_component(_lang ${_po_file} NAME_WE)
	list(APPEND _linguas ${_lang})

	set(_gmo_file ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
	list(APPEND _gmo_files ${_gmo_file})

	add_custom_command(
		OUTPUT ${_gmo_file}
		COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmo_file} ${_po_file}
		DEPENDS ${_po_file}
	)
	install(
		FILES ${_gmo_file}
		DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${_lang}/LC_MESSAGES/
		RENAME xfce4-whiskermenu-plugin.mo
	)
endforeach()
add_custom_target(translations ALL DEPENDS ${_gmo_files})

# Generate desktop file
add_custom_command(
	OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS
	COMMAND ${CMAKE_COMMAND} -E echo "${_linguas}" > ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS
	COMMAND_EXPAND_LISTS
	COMMENT "Generating LINGUAS"
)
add_custom_command(
	OUTPUT whiskermenu.desktop
	COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
		--desktop
		--template=${PROJECT_SOURCE_DIR}/panel-plugin/whiskermenu.desktop.in
		-d ${CMAKE_CURRENT_SOURCE_DIR}
		-o whiskermenu.desktop
	DEPENDS ${_po_files} ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS
)
install(
	FILES ${CMAKE_CURRENT_BINARY_DIR}/whiskermenu.desktop
	DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins
)
add_custom_target(desktopfile ALL DEPENDS whiskermenu.desktop)

# Generate translations template
find_program(XGETTEXT_EXECUTABLE xgettext)
if(XGETTEXT_EXECUTABLE)
	add_custom_target(update_pot
		COMMAND ${XGETTEXT_EXECUTABLE}
			--output=xfce4-whiskermenu-plugin.pot
			--from-code=UTF-8
			--c++ --keyword=_
			--sort-output
			--package-name='Whisker Menu'
			--copyright-holder='Graeme Gott'
			../panel-plugin/*.cpp ../panel-plugin/*.h
		COMMAND ${XGETTEXT_EXECUTABLE}
			--output=xfce4-whiskermenu-plugin.pot
			--join-existing
			--from-code=UTF-8
			-k --keyword=Name --keyword=Comment
			--sort-output
			--package-name='Whisker Menu'
			--copyright-holder='Graeme Gott'
			../panel-plugin/whiskermenu.desktop.in
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		COMMENT "Generating xfce4-whiskermenu-plugin.pot"
	)
endif()

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.5.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Feb 2021 10:44:49 -0800

xfce4-whiskermenu-plugin (2.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.3.

 -- Unit 193 <unit193@debian.org>  Thu, 04 Feb 2021 17:44:56 -0500

=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               gettext,
               libexo-2-dev (>= 0.11),
               libgarcon-1-0-dev,
               libgtk-3-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               pkg-config
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://docs.xfce.org/panel-plugins/xfce4-whiskermenu-plugin
Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mugshot
Multi-Arch: same
Description: Alternate menu plugin for the Xfce desktop environment
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level categories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

## xfce4-whiskermenu-plugin 2.5.3+git20210701

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "5")
-set(whiskermenu_version_micro "3")
-set(whiskermenu_version_tag "")
+set(whiskermenu_version_micro "0")
+set(whiskermenu_version_tag "git")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")
 	if(NOT DEFINED whiskermenu_version_build)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.5.3+git20210701-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitLab master for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 25 Jul 2021 20:54:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,

## xfce4-whiskermenu-plugin 2.5.3-0ppa1~focal

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.5.3-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix invalid command expansion with Xfce 4.14 (Issue #39)
    - Translation updates: Basque, Portuguese (Brazil).

 -- Graeme Gott <graeme@gottcode.org>  Sun, 24 Jan 2021 14:24:49 +0000

xfce4-whiskermenu-plugin (2.5.2-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Do not reparent launched programs. (Issue #32)
    - Translation updates: Basque, Danish, Greek.

 -- Graeme Gott <graeme@gottcode.org>  Fri, 15 Jan 2021 20:15:18 +0000

xfce4-whiskermenu-plugin (2.5.1-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Fix not always using new action icons. (Issue #33)

 -- Graeme Gott <graeme@gottcode.org>  Sat, 02 Jan 2021 16:08:07 +0000

xfce4-whiskermenu-plugin (2.5.0-0ppa1~focal) focal; urgency=low

  * New upstream release
    - Add option to show all applications by default. (Issue #4)
    - Rearrange sidebar buttons to match default category. (Issue #9)
    - Show panel button title as tooltip in icon-only mode. (Issue #12)
    - Always sort top-level categories.
    - Vertically center contents of header.
    - Use new Xfce action icons.
    - Use new desktop ids for default programs.
    - Rewrite to hide menu on focus out.
    - Refactor code to use new Xfce functions.
    - Refactor building translations.
    - Translation updates: Bulgarian, Chinese (China), Chinese (Taiwan),
      Croatian, Czech, Danish, Dutch, Esperanto, French, Galician,
      German, Italian, Korean, Lithuanian, Malay, Polish, Portuguese,
      Portuguese (Brazil), Slovak, Spanish, Swedish, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Thu, 24 Dec 2020 18:00:18 +0000

## xfce4-whiskermenu-plugin 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # version number
 set(whiskermenu_version_major "2")
-set(whiskermenu_version_minor "5")
+set(whiskermenu_version_minor "6")
 set(whiskermenu_version_micro "0")
-set(whiskermenu_version_tag "git")
+set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")
 	if(NOT DEFINED whiskermenu_version_build)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.6.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 24 Sep 2021 23:33:53 -0400

xfce4-whiskermenu-plugin (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.0.
  * d/control: Bump DH compat to 13.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Thu, 23 Sep 2021 19:46:10 -0400

## xfce4-whiskermenu-plugin 2.6.1

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.6.1-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 18 Oct 2021 00:39:17 -0400

xfce4-whiskermenu-plugin (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 15 Oct 2021 20:32:48 +0200

## xfce4-whiskermenu-plugin 2.6.2

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.6.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 02 Dec 2021 11:16:40 -0500

xfce4-whiskermenu-plugin (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2
  * d/u/metadata: add bugs entries

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 14 Nov 2021 11:35:14 +0100

## xfce4-whiskermenu-plugin 2.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # version number
 set(whiskermenu_version_major "2")
-set(whiskermenu_version_minor "6")
+set(whiskermenu_version_minor "7")
 set(whiskermenu_version_micro "0")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
@@ -20,10 +20,20 @@
 endif()
 
 # options
+string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
+if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "release|minsizerel")
+	set(whiskermenu_strip ON)
+endif()
+if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "release|minsizerel|relwithdebinfo")
+	set(whiskermenu_lto ON)
+endif()
+
+option(ENABLE_ACCOUNTSSERVICE "Enable building with AccountsService" ON)
 option(ENABLE_VISIBILITY "Enable ELF visibility attributes" ON)
 option(ENABLE_AS_NEEDED "Enable -Wl,--as-needed for the linker" ON)
 option(ENABLE_LINKER_OPTIMIZED_HASH_TABLES "Enable -Wl,-O1 for the linker" ON)
-option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" ON)
+option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" ${whiskermenu_lto})
+option(ENABLE_STRIP "Enable automatic stripping of release builds" ${whiskermenu_strip})
 option(ENABLE_DEVELOPER_MODE "Enable strict checks to help with development" OFF)
 
 include(GNUInstallDirs)
@@ -33,9 +43,11 @@
 add_subdirectory(po)
 
 # uninstall target
-configure_file(
-	${CMAKE_CURRENT_SOURCE_DIR}/cmake/uninstall.cmake.in
-	${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake
-	IMMEDIATE @ONLY)
-add_custom_target(uninstall
-	${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake)
+if(NOT TARGET uninstall)
+	configure_file(
+		${CMAKE_CURRENT_SOURCE_DIR}/cmake/uninstall.cmake.in
+		${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake
+		IMMEDIATE @ONLY)
+	add_custom_target(uninstall
+		${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake)
+endif()

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.7.0.

 -- Unit 193 <unit193@debian.org>  Fri, 03 Dec 2021 16:52:35 -0500

## xfce4-whiskermenu-plugin 2.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "7")
-set(whiskermenu_version_micro "0")
+set(whiskermenu_version_micro "1")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== icons/CMakeLists.txt ===
set(INSTALL_ICONDIR ${CMAKE_INSTALL_DATADIR}/icons/hicolor)

install(FILES hi16-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/16x16/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi22-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/22x22/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi24-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/24x24/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi32-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/32x32/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi48-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/48x48/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi64-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/64x64/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi128-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/128x128/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi256-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/256x256/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hisc-app-whiskermenu.svg
        DESTINATION ${INSTALL_ICONDIR}/scalable/apps
        RENAME org.xfce.panel.whiskermenu.svg)

=== panel-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
 pkg_check_modules(libxfce4panel REQUIRED IMPORTED_TARGET libxfce4panel-2.0>=4.11)
 pkg_check_modules(libxfce4ui REQUIRED IMPORTED_TARGET libxfce4ui-2>=4.11)
 pkg_check_modules(libxfce4util REQUIRED IMPORTED_TARGET libxfce4util-1.0>=4.11)
+if(ENABLE_ACCOUNTSSERVICE)
+	pkg_check_modules(accountsservice IMPORTED_TARGET accountsservice>=0.6.45)
+endif()
 
 add_library(whiskermenu MODULE
 	applications-page.cpp
@@ -22,11 +25,11 @@
 	launcher-tree-view.cpp
 	page.cpp
 	plugin.cpp
-	profile-picture.cpp
+	profile.cpp
 	query.cpp
 	recent-page.cpp
 	register-plugin.c
-	resize-grip.cpp
+	resizer.cpp
 	run-action.cpp
 	search-action.cpp
 	search-page.cpp
@@ -35,7 +38,7 @@
 	slot.h
 	window.cpp)
 
-target_link_libraries(whiskermenu
+target_link_libraries(whiskermenu PRIVATE
 	PkgConfig::GTK3
 	PkgConfig::exo
 	PkgConfig::garcon
@@ -55,9 +58,19 @@
 	SETTINGS_MENUFILE="${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/menus/xfce-settings-manager.menu"
 	G_LOG_DOMAIN="whiskermenu"
 	GSEAL_ENABLE
-	GTK_MULTIHEAD_SAFE)
+	GTK_MULTIHEAD_SAFE
+	$<$<CONFIG:Release>:G_DISABLE_ASSERT G_DISABLE_CAST_CHECKS>
+	$<$<CONFIG:MinSizeRel>:G_DISABLE_ASSERT G_DISABLE_CAST_CHECKS>
+	$<$<CONFIG:RelWithDebInfo>:G_DISABLE_ASSERT G_DISABLE_CAST_CHECKS>)
 
 target_compile_features(whiskermenu PRIVATE cxx_std_11)
+
+if (accountsservice_FOUND)
+	target_link_libraries(whiskermenu PRIVATE
+		PkgConfig::accountsservice)
+	target_compile_definitions(whiskermenu PRIVATE
+		HAS_ACCOUNTSERVICE)
+endif()
 
 if(ENABLE_VISIBILITY)
 	set_target_properties(whiskermenu PROPERTIES CXX_VISIBILITY_PRESET hidden)
@@ -101,24 +114,20 @@
 		GTK_DISABLE_SINGLE_INCLUDES)
 endif()
 
-string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
-if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "release|minsizerel|relwithdebinfo")
-	if(ENABLE_LINK_TIME_OPTIMIZATION)
-		include(CheckIPOSupported)
-		check_ipo_supported(RESULT result)
-		if(result)
-			set_target_properties(whiskermenu PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
-		endif()
+if(ENABLE_LINK_TIME_OPTIMIZATION)
+	include(CheckIPOSupported)
+	check_ipo_supported(RESULT result)
+	if(result)
+		set_target_properties(whiskermenu PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
 	endif()
+endif()
 
-	target_compile_definitions(whiskermenu PRIVATE G_DISABLE_CAST_CHECKS G_DISABLE_ASSERT)
-
-	add_custom_command(TARGET whiskermenu
-		POST_BUILD COMMAND ${CMAKE_STRIP} $<TARGET_FILE:whiskermenu>)
+if(ENABLE_STRIP)
+	add_custom_command(TARGET whiskermenu POST_BUILD
+		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:whiskermenu>)
 endif()
 
 install(TARGETS whiskermenu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
-install(FILES whiskermenu.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins)
 
 # popup script
 configure_file(${PROJECT_SOURCE_DIR}/panel-plugin/xfce4-popup-whiskermenu.in

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.7.1-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 17 Dec 2021 09:24:53 -0500

xfce4-whiskermenu-plugin (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 14 Dec 2021 12:08:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: xfce
 Priority: optional
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                gettext,
                libexo-2-dev (>= 0.11),
                libgarcon-1-0-dev,
@@ -15,7 +15,7 @@
                libxfce4util-dev,
                pkg-config
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	find debian/xfce4-whiskermenu-plugin -name '*.la' -delete

override_dh_installchangelogs:
	dh_installchangelogs NEWS
